Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004890OCamlOCamlbuild (the tool)public2009-10-12 10:032011-05-29 12:20
Reportergildor 
Assigned Toxclerc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.1 
Target VersionFixed in Version3.11.2+dev 
Summary0004890: OCamlbuild try to use native plugin on bytecode-only arch
DescriptionWhen trying to build on a bytecode only architecture (e.g. alpha), ocamlbuild try to build myocamlbuild using native library.

The error produce by ocamlbuild is:

Failure: Cannot find "ocamlbuildlib.cmxa" in ocamlbuild -where directory.

OCamlbuild should at least try to build the bytecode version if the native compilation fail.

Regards
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005130)
gildor (developer)
2009-10-12 10:03

The trivial fix is to specifiy "-byte-plugin" when invoking ocamlbuild.

- Issue History
Date Modified Username Field Change
2009-10-12 10:03 gildor New Issue
2009-10-12 10:03 gildor Note Added: 0005130
2009-12-07 11:25 xclerc Status new => resolved
2009-12-07 11:25 xclerc Fixed in Version => 3.11.2+dev
2009-12-07 11:25 xclerc Resolution open => fixed
2009-12-07 11:25 xclerc Assigned To => xclerc
2011-05-29 12:20 xleroy Status resolved => closed
2012-02-02 15:17 protz Category OCamlbuild => OCamlbuild (the tool)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker